package org.rcisoft.bus.taskinfo.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.taskinfo.entity.TaskInfo;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年5月15日 下午6:59:06.
*/

public interface TaskInfoRepository extends CyBaseMapper<TaskInfo> {


    List<TaskInfo> queryTaskInfos(@Param("entity") TaskInfo taskInfo);

    /**
    * 分页查询 taskInfo
    *
    */
    IPage<TaskInfo> queryTaskInfosPaged(CyPageInfo cyPageInfo,@Param("entity") TaskInfo taskInfo);
}

